function Toggle($element, initialValue)
{
	var element = $element;
	var value = true;
	var _this = this;

	this.onChange = null;


	var init = function(pInitialValue)
	{
		_this.setValue(pInitialValue, false);

		element.on('click', function()
		{
			_this.setValue(!_this.getValue());

			if(_this.onChange != null)
			{
				_this.onChange(_this.getValue());
			}
		});
	};


	this.setValue = function(pValue, pAnimate)
	{
		pAnimate = pAnimate == undefined ? true : pAnimate;
		value = pValue;

		if(value)
		{
			element.removeClass('off');
		}
		else
		{
			element.addClass('off');
		}
	};


	this.getValue = function()
	{
		return value;
	};


	init(initialValue == undefined ? true : initialValue);
}